Lấy giá quá khứ của Mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/historical-quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/historical-quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/historical-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/historical-quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/historical-quotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/historical-quotes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/historical-quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"date": "2023-11-07T05:31:56Z",
"symbol": "<string>",
"priceHigh": 123,
"priceLow": 123,
"priceOpen": 123,
"priceAverage": 123,
"priceClose": 123,
"priceBasic": 123,
"totalVolume": 123,
"dealVolume": 123,
"putthroughVolume": 123,
"totalValue": 123,
"putthroughValue": 123,
"buyForeignQuantity": 123,
"buyForeignValue": 123,
"sellForeignQuantity": 123,
"sellForeignValue": 123,
"buyCount": 123,
"buyQuantity": 123,
"sellCount": 123,
"sellQuantity": 123,
"adjRatio": 123,
"currentForeignRoom": 123,
"propTradingNetDealValue": 123,
"propTradingNetPTValue": 123,
"propTradingNetValue": 123,
"unit": 123
}
]Symbols
Lấy giá quá khứ của Mã chứng khoán
GET
/
symbols
/
{symbol}
/
historical-quotes
Lấy giá quá khứ của Mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/historical-quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/historical-quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/historical-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/historical-quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/historical-quotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/historical-quotes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/historical-quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"date": "2023-11-07T05:31:56Z",
"symbol": "<string>",
"priceHigh": 123,
"priceLow": 123,
"priceOpen": 123,
"priceAverage": 123,
"priceClose": 123,
"priceBasic": 123,
"totalVolume": 123,
"dealVolume": 123,
"putthroughVolume": 123,
"totalValue": 123,
"putthroughValue": 123,
"buyForeignQuantity": 123,
"buyForeignValue": 123,
"sellForeignQuantity": 123,
"sellForeignValue": 123,
"buyCount": 123,
"buyQuantity": 123,
"sellCount": 123,
"sellQuantity": 123,
"adjRatio": 123,
"currentForeignRoom": 123,
"propTradingNetDealValue": 123,
"propTradingNetPTValue": 123,
"propTradingNetValue": 123,
"unit": 123
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Mã chứng khoán
Tham số truy vấn
Ngày bắt đầu
Ngày kết thúc
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Ngày giao dịch
Mã chứng khoán
Giá cao nhất
Giá thấp nhất
Giá mở cửa
Giá trung bình
Giá đóng cửa
Giá tham chiếu
Tổng khối lượng
Khối lượng khớp lệnh
Khối lượng thỏa thuận
Tổng giá trị giao dịch
Giá trị thỏa thuận
Khối lượng NĐT nước ngoài mua
Giá trị NĐT nước ngoài mua
Khối lượng NĐT nước ngoài bán
Giá trị NĐT nước ngoài bán
Số lệnh mua
Khối lượng mua
Số lệnh bán
Khối lượng bán
Tỉ lệ điều chỉnh
Room nước ngoài
Giá trị tự doanh mua ròng (khớp lệnh)
Giá trị tự doanh mua ròng (thỏa thuận)
Giá trị tự doanh mua ròng
Đơn vị giá